package de.noisedroid.activities.measurelist.adapter;

import java.util.List;

import de.noisedroid.measure.MeasureAbstract;

public interface CheckableMeasureAdapter {
	public enum CheckMode { NONE, UPLOAD, DELETE };
	
	public CheckMode getCheckMode();

	public List<MeasureAbstract> getCheckedMeasures();

	public void resetChecked();

	public void setCheckMode(CheckMode mode);
}
