package de.noisedroid.activities.measurelist.gruppierer;

import de.noisedroid.measure.MeasureAbstract;

/**
 * Inferface zur Definition eines Gruppierungsschemas fr die Listenansicht. Das Schema muss einem Index von 0 bis
 * {@link LocalGruppierer#getGroupCount()}-1 einen Titel zuordnen, auerdem muss einer Messung der jeweilige
 * Gruppenindex zugeordnet werden.
 */
public interface LocalGruppierer extends Gruppierer {

	public int getGroupIndex(MeasureAbstract measure);

}