package de.noisedroid.activities.measurelist.gruppierer;

import android.content.Context;
import de.noisedroid.R;
import de.noisedroid.measure.MeasureAbstract;
import de.noisedroid.measure.MeasureManual;
import de.noisedroid.measure.MeasureSeries;

public class TypGruppierer implements LocalGruppierer {
	
private Context ctx;
	public TypGruppierer(Context context){
		ctx=context;
	}
	public int getGroupIndex(MeasureAbstract measure) {
		if (measure instanceof MeasureSeries) {
			return 0;
		} else if (measure instanceof MeasureManual) {
			return 1;
		}
		// automatische Messung
		else
			return 2;

	}

	public String getGroupTitle(int index) {
		switch (index) {
		case 0:
			return ctx.getString(R.string.messserien);
		case 1:
			return ctx.getString(R.string.manuelle_messungen);
		case 2:
			return ctx.getString(R.string.automatische_messungen);

		}
		return null;
	}

	public int getGroupCount() {
		return 3;
	}
}
