package de.noisedroid.measure;

import org.xmlpull.v1.XmlSerializer;

import de.noisedroid.measure.MeasureManager.ChangeType;

/**
 * Hilfsklasse die nur die Id einer Messung darstellt. Ntig fr binre Suchoperationen.
 * 
 */
public class MeasureSearchDummy extends MeasureAbstract {
	public MeasureSearchDummy(int id) {
		this.id = id;
	}

	public int compareTo(MeasureAbstract another) {
		return 0;
	}

	public void asXML(XmlSerializer serializer, boolean forServer) throws MeasureSerializerException {
	}

	@Override
	public UploadStatus getUploadStatus() {
		return null;
	}

	@Override
	public float getNoise() {
		return 0;
	}

	@Override
	public float getMoral() {
		return 0;
	}

	@Override
	public boolean isValid() {
		return false;
	}

	@Override
	public void remove() {

	}

	@Override
	public void setUploadStatus(UploadStatus uploaded) {

	}

	@Override
	protected void reportChange(ChangeType type) {

	}

}
