/**
 * 
 */
package de.ifgi.unimuenster.model;

import java.util.List;

/**
 * @author steffan
 *
 */
public interface BoundingBox {
	
	public Longitude getLeftLongitude();
	
	public Longitude getRightLongitude();
	
	public Latitude getTopLatitude();
	
	public Latitude getBottomLatitude();
	
	/**
	 * Tests whether the box given by the parameter fits into the box from were the method is called.
	 * 
	 * @param box
	 * @return 
	 */
	public boolean isInside(BoundingBox box);
	
	public void setMeasurements(List<Measurement> measurements);
	
	public List<Measurement> getMeasurements();
	
	public List<Measurement> getMeasurements(BoundingBox box);
	
	public int getUsageCount();
	
	public void setUsageCount(int count);
	
	public void increaseUsageCount();
	
	/*
	
	public void setLeftLongitude(Longitude left);
	
	public void setRightLongitude(Longitude right);
	
	public void setTopLatitude(Latitude top);
	
	public void setBottomLatitude(Latitude bottom);
	
	*/

}