package de.noiseserver.service;

import javax.ejb.EJB;
import javax.ejb.LocalBean;
import javax.ejb.Stateless;
import javax.jws.WebService;

import de.noiseserver.dto.MeasureSingleDto;

/**
 * Session Bean implementation class Test
 */
@Stateless
@LocalBean
@WebService
public class Test {

    @EJB
    MeasureBean measureBean;
    
    public void test() {
    	MeasureSingleDto m = new MeasureSingleDto();
    	m.setNoise(12.34);
    	measureBean.storeMeasure(m);
    }

    public long count() {
    	return measureBean.getMeasureCount();
    }
    
}
