package de.noiseserver.util;

import java.io.FileInputStream;
import java.io.IOException;
import java.util.Properties;

import javax.mail.Message;
import javax.mail.MessagingException;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;

public class MailSender {
	public void postMail(String recipient, String password) throws MessagingException {
		Properties properties = new Properties();
		try {
		    properties.load(new FileInputStream("mail.properties"));
		} catch (IOException e) {
			//TODO load default values
			throw new RuntimeException();
		}
		properties.get("mail.smtp.host");
		String from = (String) properties.get("mail.from");
		String message = (String) properties.get("mail.message");
		message = message + "\n\n" + password;
		String subject = (String) properties.get("mail.subject");
		properties.get("mail.smtp.user");
		properties.get("mail.smtp.password");
	    Session session = Session.getDefaultInstance(properties);
		Message msg = new MimeMessage(session);
		InternetAddress addressFrom = new InternetAddress(from);
		msg.setFrom(addressFrom);
		InternetAddress addressTo = new InternetAddress(recipient);
		msg.setRecipient(Message.RecipientType.TO, addressTo);
		msg.setSubject(subject);
		msg.setContent(message, "text/plain");
		Transport.send(msg);
	}
}