package de.noiseserver.service;

import java.util.Calendar;
import java.util.List;

import org.postgis.PGbox2d;

import de.noiseserver.dto.LocationDto;

public interface FilterRemote {

	public enum TagFilterMode {
		all, some
	};

	public PGbox2d getBBox();

	public Calendar getTimeFrom();

	public Calendar getTimeTo();

	public String getDescription();

	public List<String> getTags();

	public TagFilterMode getTagFilterMode();

	public Integer getUserId();

	public Float getDistFrom();

	public Float getDistTo();

	public LocationDto getDistLocation();

	public Float getNoiseFrom();

	public Float getNoiseTo();

}
