<h1>Project</h1>


<p>
The <strong>NoiseDroid</strong> project started in October 2010 at the <i>Institute for Geoinformatics</i> (ifgi) in Mnster as topic for the course Geosoftware II. The students had to develop an online portal where people can upload observations or measurements (e.g. environmental observations), which are then published as map presentations.
</p><p>
The continuing spreading of powerful <i>smartphones</i> allows ubiquitous measurement of environmental phenomena. Everybody can collect information that can be analysed and turned into knowledge. <strong>NoiseDroid</strong> is an application for Android smartphones and can be used as a means for collecting information about noise pollution. For visualization of the collected noise information this website was created.
</p><p>
With <strong>NoiseDroid</strong> the user is able to perform manual, automatic, event-based and series mode measurements:
</p>
<ul>
<li><strong>Manual measurements</strong> are executed on demand and the user can enter additional details about the measurement.</li>
<li><strong>Automatic measurements</strong> are executed in intervals of 30 seconds up to 15 minutes without further user action. </li>
<li><strong>Event based measurements</strong> are automatically executed when predefined system events (e.g. pressing the camera button or activation of the display) occur.</li>
<li><strong>Measurement series</strong> can be activated by the user to logically combine a number of automatic measurements (e.g. taking a walk). They can be limited by predefined start and end (can be a certain point in time or a target location) or manually started and ended.</li>
</ul>
<p>
The user is also able to view all collected measurements in a <i>list</i> or on a <i>map</i>. Details can be shown and the list can be sorted and filtered by a number of criteria. Additionally the user's measurements can be uploaded to the <strong>NoiseDroid</strong> community and community measurements can be downloaded.
</p>
<p>On this <i>website</i> the community measurements are shown in tables that can be sorted and filtered and on maps that automatically generate an interpolated noise pollution overview.
</p>