package de.noiseserver.servlet.app.requestprocessors;

import javax.xml.stream.XMLStreamReader;

import org.w3c.dom.Element;

import de.noiseserver.Commons;

public class LogoutProcessor extends RequestProcessingElement {

	@Override
	public String getRequestType() {
		return Commons.REQUEST_TYPE_LOGOUT;
	}

	@Override
	protected void processRequest(XMLStreamReader reader, Element responseNode) {
		requestProcessor.logout();
		Element successElement = responseNode.getOwnerDocument().createElement(
				Commons.NODE_SUCCESS);
		responseNode.appendChild(successElement);
	}

}
