package de.noiseserver.servlet.app.xmltemplates;

import java.util.Set;

import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlRootElement;

import de.noiseserver.Commons;
import de.noiseserver.dto.AbstractMeasureDto;
import de.noiseserver.dto.MeasureSeriesDto;
import de.noiseserver.dto.MeasureSingleDto;

@XmlRootElement(name = Commons.NODE_REQUEST)
public class XMLAddMeasuresTemplate {
	@XmlAttribute(name = Commons.ATTR_REQUEST_TYPE)
	public String type;

	@XmlElementWrapper(name = Commons.NODE_MEASURES_WRAPPER)
	@XmlElements({
			@XmlElement(name = Commons.NODE_MEASURE, type = MeasureSingleDto.class),
			@XmlElement(name = Commons.NODE_MEASURESERIES, type = MeasureSeriesDto.class) })
	public Set<AbstractMeasureDto> measures;
}