package de.noiseserver.servlet.list;

import de.noiseserver.Commons.OrderAttr;
import de.noiseserver.Commons.OrderDir;
import de.noiseserver.service.FilterSortingRemote;

public class FilterSorting implements FilterSortingRemote {

	private OrderAttr sortingAttr;
	private OrderDir direction;

	public FilterSorting(OrderAttr sortingAttr, OrderDir direction) {
		this.sortingAttr = sortingAttr;
		this.direction = direction;
	}

	public FilterSorting() {

	}

	@Override
	public OrderAttr getOrderAttr() {
		return sortingAttr;
	}

	@Override
	public OrderDir getOrderDir() {
		return direction;
	}

	public void setDirection(OrderDir direction) {
		this.direction = direction;
	}

	public void setSortingAttr(OrderAttr sortingAttr) {
		this.sortingAttr = sortingAttr;
	}

}
