package de.noisedroid.activities.measurelist.gruppierer;

import de.noisedroid.community.DownloadFilter;

/**
 * Inferface zur Definition eines Gruppierungsschemas fr die Listenansicht basierend auf den NoiseServer
 * Filterfunktionen. Das Schema muss einem Index von 0 bis {@link LocalGruppierer#getGroupCount()}-1 sowohl einen
 * Titel als auch den zugehrigen {@link DownloadFilter} zuordnen.
 */
public interface DownloadGruppierer extends Gruppierer {

	public DownloadFilter getGroupFilter(int id);

}