package de.noisedroid.measure.messmoral;

import org.w3c.dom.Node;

/**
 * Hilfsklasse zum Zusammenfassen von Wertausdrcken
 *
 */
public abstract class MoralWert {
	public abstract float auswerten() throws MoralException;

	public static MoralWert getWert(Node node, MessmoralManager messmoral) throws MoralException {
		String typString = node.getNodeName();
		if (typString.equalsIgnoreCase("konstante")) {
			return new Konstante(node);
		} else if (typString.equalsIgnoreCase("sensor")) {
			return new Sensordata(node, messmoral);
		} else {
			throw new MoralException();
		}
	}
}
