/**
 * 
 */
package de.ifgi.unimuenster;

import java.util.List;

import de.ifgi.unimuenster.exceptions.DataSourceException;
import de.ifgi.unimuenster.model.DataSources;
import de.ifgi.unimuenster.model.impl.BoundingBox;
import de.ifgi.unimuenster.model.impl.Latitude;
import de.ifgi.unimuenster.model.impl.Longitude;
import de.noiseserver.dto.MeasureSingleDto;

/**
 * @author steffan
 *
 */
public class Demo {

	/**
	 * @param args
	 * @throws DataSourceException 
	 */
	public static void main(String[] args) throws DataSourceException {
		
		
		BoundingBox b = new BoundingBox(new Longitude(-75.0),new Longitude(-60.20), new Latitude(50.5), new Latitude(40.2));
	
		List<MeasureSingleDto> result = DataSource.INSTANCE.getMeasurements(b,null, DataSources.NOISETUBE);
		
		for(MeasureSingleDto current : result){
			
			System.out.println(current.getNoise() +" lat: "+ current.getLocationMeasure().getLatitude() + " lng: "+current.getLocationMeasure().getLongitude());
		}
			
	}

}
