package de.ifgi.unimuenster.noisetube;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import com.google.gson.Gson;

import de.ifgi.unimuenster.model.Measurement;

/**
 * 
 * @author steffan
 *
 */
class NoiseTubeParser {
	
	private NoiseTubeParser(){};
	
	public static List<Measurement> parseJson(String input) {
		
		if(input == null)
			throw new NullPointerException("input can not be null");
		
		Gson gson = new Gson();
		Measurement[] mArray = gson.fromJson(input, de.ifgi.unimuenster.model.impl.Measurement[].class);
		
		return Collections.unmodifiableList(Arrays.asList(mArray));

	}
	
}

