package de.noiseserver.eao;

import javax.ejb.LocalBean;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

import de.noiseserver.entity.GroupEntity;

@Stateless
@LocalBean
public class GroupEao {

	@PersistenceContext
	EntityManager em;

	public GroupEntity findOrCreate(String groupname) {
		GroupEntity e = em.find(GroupEntity.class, groupname);
		if (e == null) {
			e = new GroupEntity();
			e.setGroupName(groupname);
		}
		return e;
	}

}
