package de.noiseserver.servlet.app.requestprocessors;

import javax.xml.stream.XMLStreamReader;

import org.w3c.dom.Element;

import de.noiseserver.Commons;

public class UnknownProcessor extends RequestProcessingElement {

	private String type;

	public UnknownProcessor(String type) {
		this.type = type;
	}

	@Override
	public String getRequestType() {
		return type;
	}

	@Override
	protected void processRequest(XMLStreamReader reader, Element responseNode) {
		error(responseNode, Commons.ERROR_UNKNOWN);
	}

}
