package de.noiseserver.servlet.app.xmltemplates;

import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import org.eclipse.persistence.oxm.annotations.XmlPath;

import de.noiseserver.Commons;
import de.noiseserver.dto.MeasureSeriesDto;

@XmlRootElement(name = Commons.NODE_REQUEST)
public class XMLUpdateSeriesTemplate {

	@XmlAttribute(name = Commons.ATTR_REQUEST_TYPE)
	public String type;
	@XmlElement(name = Commons.NODE_MEASURESERIES)
	public MeasureSeriesDto measureSeries;

	@XmlPath("MeasureSeries/@serverid")
	public int serverId;
}